Bug 827478 - Fedora 17 USB Headset No sound in Twinkle
Fedora 17 USB Headset No sound in Twinkle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: twinkle (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 11:04 EDT by Earl
Modified: 2013-08-01 13:28 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:27:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
twinkle binary and some extra shared libs to make it run on f17. this binary works fine! (8.75 MB, application/octet-stream)
2012-06-21 04:50 EDT, Michael S. Tsirkin
no flags Details
f15's twinkle binary and some extra shared libs to make it run on f17. 64-bit version (9.01 MB, application/x-compressed-tar)
2012-09-06 06:27 EDT, Jirka Klimes
no flags Details

  None (edit)
Description Earl 2012-06-01 11:04:03 EDT
Description of problem:

Fedora 17 with twinkle has no sound with a usb headset (C-Media USB headphone)


Version-Release number of selected component (if applicable):
Fedora 17


How reproducible:


Steps to Reproduce:
1.start Twinkle and configure to use USB Headset
  
Actual results:
no sound

Expected results:
hear sound

Additional info:

log messages show the device is ok

Jun  1 10:21:45 localhost kernel: [ 7747.988119] usb 4-1: new full-speed USB device number 4 using ohci_hcd
Jun  1 10:21:45 localhost kernel: [ 7748.134049] usb 4-1: New USB device found, idVendor=0d8c, idProduct=000c
Jun  1 10:21:45 localhost kernel: [ 7748.134059] usb 4-1: New USB device strings: Mfr=0, Product=1, SerialNumber=0
Jun  1 10:21:45 localhost kernel: [ 7748.134066] usb 4-1: Product: C-Media USB Headphone Set  
Jun  1 10:21:45 localhost kernel: [ 7748.154067] ALSA sound/usb/mixer.c:846 9:0: cannot get min/max values for control 2 (id 9)
Jun  1 10:21:45 localhost kernel: [ 7748.154085] ALSA sound/usb/mixer.c:846 10:0: cannot get min/max values for control 2 (id 10)
Jun  1 10:21:45 localhost kernel: [ 7748.160206] input: C-Media USB Headphone Set   as /devices/pci0000:00/0000:00:12.1/usb4/4-1/4-1:1.3/input/input14
Jun  1 10:21:45 localhost kernel: [ 7748.160814] generic-usb 0003:0D8C:000C.0003: input,hidraw0: USB HID v1.00 Device [C-Media USB Headphone Set  ] on usb-0000:00:12.1-1/input3
Jun  1 10:21:45 localhost mtp-probe: checking bus 4, device 4: "/sys/devices/pci0000:00/0000:00:12.1/usb4/4-1"
Jun  1 10:21:45 localhost mtp-probe: bus: 4, device: 4 was not an MTP device

alsamixer shows the device and can adjust volumes

I notice that the device does not show up in phonon (KDE multimedia settings)
(and it probably should?)
Comment 1 Earl 2012-06-01 11:09:08 EDT
This headset works fine with twinkle on Fedora 16 and it shows up in KDE multimedia settings.
Comment 2 Kevin Fenzi 2012-06-01 11:52:42 EDT
Does the headset have sound in any other apps? Music players, etc?

Ie, is it only twinkle, or does the headset just not output any sound for you?
Comment 3 Earl 2012-06-01 12:13:56 EDT
I am using the Fedora 17 Live KDE x64 spin.

When i run (as root): authconfig --updateall 
then i am able to see the USB headset in phonon (kde multimedia) and it plays sound fine when you test it.

however there is still no sound in twinkle.
Comment 4 Kevin Fenzi 2012-06-03 18:52:29 EDT
If you: 

a) install pavucontrol
b) start playing sound 
c) run pavucontrol and look in it what streams it sees, does it see the output? 
d) Can you switch the output to the headset?

Also, what audio settings do you have in twinkle? What output and input devices?
Comment 5 Earl 2012-06-04 08:26:11 EDT
i installed pavucontrol

it does not see the C-Media USB Headphone Set at all.  Twinkle sees it and is configured to use it (speaker, ring tone and microphone).

I have another USB headset from Logitech. I plugged it in and pavucontrol sees it fine.
dmesg for the Logitech

[ 1363.272110] usb 5-2: new full-speed USB device number 4 using ohci_hcd
[ 1363.429152] usb 5-2: New USB device found, idVendor=046d, idProduct=0a0c
[ 1363.429162] usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1363.429170] usb 5-2: Product: Logitech USB Headset
[ 1363.429175] usb 5-2: Manufacturer: Logitech
[ 1363.459171] ALSA sound/usb/mixer.c:846 6:0: cannot get min/max values for control 2 (id 6)
[ 1363.459191] ALSA sound/usb/mixer.c:846 1:0: cannot get min/max values for control 2 (id 1)
[ 1363.459207] ALSA sound/usb/mixer.c:846 2:0: cannot get min/max values for control 2 (id 2)
[ 1363.465308] input: Logitech Logitech USB Headset as /devices/pci0000:00/0000:00:13.0/usb5/5-2/5-2:1.3/input/input17
[ 1363.465871] generic-usb 0003:046D:0A0C.0006: input,hidraw2: USB HID v1.00 Device [Logitech Logitech USB Headset] on usb-0000:00:13.0-2/input3

however neither device works in twinkle. Also now, I get this error in twinkle after running pavuctonrol:

Critical: Cannot open ALSA driver for PCM playback: Device or resource busy
Comment 6 Kevin Fenzi 2012-06-04 11:32:27 EDT
ok, next thing to try: 

yum remove alsa-plugins-pulseaudio
logout and back in
make sure pulseaudio isn't running 
run twinkle

Does it work in this case?
Comment 7 Daniel Veillard 2012-06-04 12:13:19 EDT
thinkpad:~ -> ps auxwww | grep pulseaudio
veillard 12046  0.1  0.2 618476  8676 ?        S<l  00:08   0:00 /usr/bin/pulseaudio --start --log-target=syslog
veillard 12221  0.0  0.0 109400   904 pts/3    S+   00:11   0:00 grep --color=auto pulseaudio
thinkpad:~ -> rpm -q alsa-plugins-pulseaudio
package alsa-plugins-pulseaudio is not installed
thinkpad:~ -> 

  pulseaudio gets restarted, even if I manually kill it, and no the sound 
still doesn't seems to go through,

Daniel
Comment 8 Earl 2012-06-04 19:46:33 EDT
I did: 

yum remove alsa-plugins-pulseaudio
logged out / back in
had to kill pulseaudio (as it was still running)
so it is not running now

still no sound in twinkle
Comment 9 Earl 2012-06-04 20:52:36 EDT
I installed Fedora 17 from the x86_64 DVD to the hard drive on a different machine and did :

yum -y update
yum install twinkle

plugged in the C-Media USB headset and still the same problem. So any updates as of today did not fix it either. Also tried with and without alsa-plugins-pulseaudio with no success.
Comment 10 Daniel Veillard 2012-06-04 22:55:17 EDT
I also tried to boot the old kernel 3.3.7-1.fc16.x86_64 same result as
3.3.7-1.fc17.x86_64 ... It was working on fc16 so it seems a problem higher
in the stack. Trying to rebuild the older twinkle twinkle-1.4.2-16.fc16
from sources also failed on F17 because it looks for libccrtp1 and it's
ccrtp-2.0.2 which is available (and the configure lookup fails).

Sounds works just fine with rythmnbox.
Twinkle also tend to not exit cleanly it get stuck and only kill -9
stops it. It is stuck there:

(gdb) where
#0  0x000000348260ddcd in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x000000348260b478 in _L_lock_33 () from /lib64/libpthread.so.0
#2  0x000000348260b39c in pthread_cond_destroy@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#3  0x0000003b70643629 in ucommon::Conditional::~Conditional() ()
   from /lib64/libucommon.so.5
#4  0x0000003b71e3bbb0 in ost::AppLog::~AppLog() ()
   from /lib64/libccext2-1.8.so.0
#5  0x0000003482238f9a in __cxa_finalize () from /lib64/libc.so.6
#6  0x0000003b71e21ff3 in ?? () from /lib64/libccext2-1.8.so.0
#7  0x00007fffc43882c0 in ?? ()
#8  0x0000003481a0f4e7 in _dl_fini () from /lib64/ld-linux-x86-64.so.2

 It also crashes sometimes when attempting a call, but I didn't managed
to get a stack dump yet,

Daniel
Comment 11 Kevin Fenzi 2012-06-08 11:24:55 EDT
Adding Rex here to see if he has any ideas from a kde side of things...
Comment 12 Earl 2012-06-08 23:23:35 EDT
I just installed ekiga (an alternative SIP client to Twinkle) and tried with the C-media head/hand set. Ekiga works fine. It recognizes the headset and the sound is working fine. 

So i'd surmise that we have a problem with Twinkle itself?
Comment 13 Lukas Middendorf 2012-06-10 09:47:49 EDT
I have the same problem with Twinkle under F17. I'm using an Audigy 2 ZS without pulseaudio. I have selected the correct sound device in the Twinkle preferences.

I can hear the ringing on incoming calls, hear the "dialing"-sound generated by twinkle on outgoing calls and the microphone is working correctly during phone calls, but during phone calls nothing can be heard. Sound is working perfectly in other applications.

I have also observed the crashes and twinkle not exiting properly, that are mentioned in Comment 10.
Comment 14 Daniel Veillard 2012-06-11 02:54:10 EDT
BTW linphone works well as a replacement for twinkle on F18, but that doesn't
fix the problem :-)

Daniel
Comment 15 Michael S. Tsirkin 2012-06-21 04:50:44 EDT
Created attachment 593390 [details]
twinkle binary and some extra shared libs to make it run on f17. this binary works fine!
Comment 16 Michael S. Tsirkin 2012-06-21 04:56:13 EDT
I have the same problem but with an internal mic/speaker
of my laptop. Works fine on fedora 15.

I copied the twinkle binary from f15.
That would not run as it requires some old shared
libraries. So I also copied the missing shared library.
I ended up with the following files from f15,
which I pout under $HOME/bin/twinkle-f15:

[mst@robin twinkle-f15]$ ls -l
total 23152
-rwxr-xr-x. 1 mst mst   997428 Jun 21 11:27 libboost_regex.so.1.46.0
-rwxr-xr-x. 1 mst mst   259264 Jun 21 11:26 libccext2-1.7.so.0
-rwxr-xr-x. 1 mst mst   293692 Jun 21 11:26 libccgnu2-1.7.so.0
-rwxr-xr-x. 1 mst mst   165412 Jun 21 11:26 libccrtp1-1.7.so.0
-rwxr-xr-x. 1 mst mst 14941824 Jun 21 11:27 libicudata.so.44
-rwxr-xr-x. 1 mst mst  1858032 Jun 21 11:27 libicui18n.so.44
-rwxr-xr-x. 1 mst mst  1316064 Jun 21 11:27 libicuuc.so.44
-rwxr-xr-x. 1 mst mst   174156 Jun 21 11:25 libzrtpcpp-1.4.so.0
-rwxr-xr-x. 1 mst mst  3682884 Jun 21 11:24 twinkle

if I now run 
LD_LIBRARY_PATH=$HOME/bin/twinkle-f15 $HOME/bin/twinkle-f15/twinkle

old twinkle starts and there I can hear sound fine.

I attached the tarball (32 bit fedora).
Comment 17 Michael S. Tsirkin 2012-06-21 04:56:56 EDT
Note: this is 32 bit userspace. Is your architecture 32 bit too?
Comment 18 Michael S. Tsirkin 2012-06-21 04:59:38 EDT
I also observed that twinkle binary copied from f15 exits fine.
Twinkle f17 does not exit when I select file/quit.
Comment 19 Rex Dieter 2012-06-21 09:03:40 EDT
Ah, sounds like a similar issue as bug #830618  (kdelibs3), do folks experiencing this have 
https://admin.fedoraproject.org/updates/FEDORA-2012-9346/kdelibs3-3.5.10-37.fc17
or not?
Comment 20 Rex Dieter 2012-06-21 09:11:40 EDT
and if not, maybe a simple rebuild of twinkle against a newer gcc may help as well, here's a scratch build to try out:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4183506
Comment 21 Lukas Middendorf 2012-06-21 15:24:27 EDT
Neither kdelibs3-3.5.10-37.fc17 nor twinkle-1.4.2-17.fc17.1.x86_64 do help. I also tried to rebuild arts and tried the i686-Version of twinkle, arts and kdelibs3, but to no avail.
Comment 22 Jirka Kremser 2012-07-21 02:28:48 EDT
I am experiencing the same problem and I am not running KDE, but Cinamon on F17, so the problem is probably not kde related.
Comment 23 Stuart D Gathman 2012-07-24 11:27:50 EDT
I have the same problem with gnome-fallback on F17.  Rythmbox works fine.  IMPORTANT: In addition,  when I run twinkle from the gnome menu and attempt to dial a call, I hear about a seconds worth of dialing sound, then twinkle goes away!  No abrt.  However, when I run twinkle from the command line (hoping to get some diagnostics for you), then I hear nothing, and twinkle is stuck, requiring kill -9 (similar to other reporters).

Here is my lsusb:

Bus 001 Device 003: ID 04f2:a133 Chicony Electronics Co., Ltd Gateway Webcam
Bus 002 Device 002: ID 0764:0501 Cyber Power System, Inc. CP1500 AVR UPS
Bus 003 Device 002: ID 0d8c:000e C-Media Electronics, Inc. Audio Adapter (Planet UP-100, Genius G-Talk)
Bus 003 Device 003: ID 03f0:4f11 Hewlett-Packard OfficeJet 5600 (USBHUB)
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


The C-Media are my USB headphones - which work great in F16.
Comment 24 Stuart D Gathman 2012-08-04 23:48:13 EDT
In reply to comment#19

I have kdelibs3-3.5.10-37.fc17.i686 on F17 on gnome3 w/ noveau here.  Same problem.  I hear a second or two of the call, then twinkle goes away.
Comment 25 Stuart D Gathman 2012-08-04 23:50:39 EDT
(In reply to comment #22)
> I am experiencing the same problem and I am not running KDE, but Cinamon on
> F17, so the problem is probably not kde related.

KDE apps still use kdelibs when running under gnome, so it could still be KDE related.
Comment 26 Stuart D Gathman 2012-08-04 23:57:43 EDT
Ekiga (gnome based) works using diamondcard.us, so that makes it more likely to be a kde problem.  Unfortunately, ekiga does not work with my companies VOIP provider.  twinkle and empathy work, but empathy does not support a separate sound device for audio, and twinkle crashes when you use a separate sound device.
Comment 27 Stuart D Gathman 2012-08-06 16:37:58 EDT
Tried setting twinkle audio to "Alsa default" and changing default output to USB headset in sound config.  Still crashes.
Comment 28 Mike FABIAN 2012-08-16 06:32:58 EDT
I have the same problem.

- twinkle-1.4.2-17.fc17.x86_64
- Fedora 17
- Gnome3
- Hardware: Lenovo T520

No sound can be heard in twinkle, neither with the internal speakers
(as in comment#16) nor with a headset plugged to the dockingstation
nor with a headset plugged to the T520 directly (non-USB headset,
“normal” headset).

Sound in other apps works fine, linphone also works fine.

I can also reproduce that twinkle doesn’t stop running when
I select file/quit and it has to be killed with “kill -9”
Comment 29 Jirka Klimes 2012-09-06 06:23:31 EDT
I confirm that I can't hear anything in speakers when a call is established, ringing is audible though (with F17's twinkle)

(In reply to comment #15)
> Created attachment 593390 [details]
> twinkle binary and some extra shared libs to make it run on f17. this binary
> works fine!

Thanks a lot Michael for finding that F15's twinkle version with some libraries works without the problem on F17.
I'm attaching binaries for those who use a 64bit system. More info is in comment #16.
Comment 30 Jirka Klimes 2012-09-06 06:27:18 EDT
Created attachment 610251 [details]
f15's twinkle binary and some extra shared libs to make it run on f17. 64-bit version

Use instruction in #comment 16 to run this version.
Comment 31 Stuart D Gathman 2012-09-24 23:05:47 EDT
kdelibs3-3.5.10-38.fc17.i686 just updated - same problem.
Comment 32 Stuart D Gathman 2012-09-25 14:42:46 EDT
Ok, so I thought if I configured twinkle to use the internal sound card, and rhythmbox to use the USB sound, everyone could play together.  Nope.  The mere presence of a USB sound card makes twinkle crash when placing or receiving a call.
Comment 33 Jens Petersen 2012-10-02 03:46:53 EDT
I don't even have a USB headset and twinkle audio stopped working for me some weeks back.
Comment 34 Stuart D Gathman 2012-10-02 10:57:28 EDT
(In reply to comment #33)
> I don't even have a USB headset and twinkle audio stopped working for me
> some weeks back.

Any USB audio device on the bus will prevent twinkle from working.  In fact, after connecting a USB audio for testing, I find I have to reboot (without the USB device) for twinkle to work again.  This is a really frustrating bug that destroys an other wise very good and useful piece of software.
Comment 35 Mike FABIAN 2012-10-02 14:41:00 EDT
(In reply to comment #34)
> (In reply to comment #33)
> > I don't even have a USB headset and twinkle audio stopped working for me
> > some weeks back.
> 
> Any USB audio device on the bus will prevent twinkle from working.  In fact,
> after connecting a USB audio for testing, I find I have to reboot (without
> the USB device) for twinkle to work again.  This is a really frustrating bug
> that destroys an other wise very good and useful piece of software.

I don’t have an USB audio device at all, at least I believe
I don’t have something like this.

Nevertheless sound does not work for me in twinkle, see comment#28.
Comment 36 Kevin Fenzi 2012-10-02 14:50:08 EDT
Just as a FYI here, twinkle upstream has been dead for 3-4 years, and I haven't had to the time to dig
deeper into fixing this issue. 

Patches welcome or patience as I try and find time/energy to look deeper.
Comment 37 Fedora End Of Life 2013-07-04 02:04:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 38 Fedora End Of Life 2013-08-01 13:28:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.